MockitoCore
Date: 2015-09-18

org.mockito.internal

## Class MockitoCore

- java.lang.Object
- - org.mockito.internal.MockitoCore

-     public class MockitoCore
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MockitoCore()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Stubber` | `doAnswer(Answer answer)`
    `Invocation` | `getLastInvocation()` For testing purposes only.
    `java.lang.Object[]` | `ignoreStubs(java.lang.Object... mocks)`
    `InOrder` | `inOrder(java.lang.Object... mocks)`
    `boolean` | `isTypeMockable(java.lang.Class<?> typeToMock)`
    `<T> T` | `mock(java.lang.Class<T> typeToMock, MockSettings settings)`
    `MockingDetails` | `mockingDetails(java.lang.Object toInspect)`
    `<T> void` | `reset(T... mocks)`
    `IOngoingStubbing` | `stub()`
    `<T> DeprecatedOngoingStubbing<T>` | `stub(T methodCall)`
    `<T> VoidMethodStubbable<T>` | `stubVoid(T mock)`
    `void` | `validateMockitoUsage()`
    `<T> T` | `verify(T mock, VerificationMode mode)`
    `void` | `verifyNoMoreInteractions(java.lang.Object... mocks)`
    `void` | `verifyNoMoreInteractionsInOrder(java.util.List<java.lang.Object> mocks, InOrderContext inOrderContext)`
    `<T> OngoingStubbing<T>` | `when(T methodCall)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MockitoCore

          public MockitoCore()

  - ### Method Detail

    - #### isTypeMockable

          public boolean isTypeMockable(java.lang.Class<?> typeToMock)

    - #### mock

          public <T> T mock(java.lang.Class<T> typeToMock,
                   MockSettings settings)

    - #### stub

          public IOngoingStubbing stub()

    - #### stub

          public <T> DeprecatedOngoingStubbing<T> stub(T methodCall)

    - #### when

          public <T> OngoingStubbing<T> when(T methodCall)

    - #### verify

          public <T> T verify(T mock,
                     VerificationMode mode)

    - #### reset

          public <T> void reset(T... mocks)

    - #### verifyNoMoreInteractions

          public void verifyNoMoreInteractions(java.lang.Object... mocks)

    - #### verifyNoMoreInteractionsInOrder

          public void verifyNoMoreInteractionsInOrder(java.util.List<java.lang.Object> mocks,
                                             InOrderContext inOrderContext)

    - #### inOrder

          public InOrder inOrder(java.lang.Object... mocks)

    - #### doAnswer

          public Stubber doAnswer(Answer answer)

    - #### stubVoid

          public <T> VoidMethodStubbable<T> stubVoid(T mock)

    - #### validateMockitoUsage

          public void validateMockitoUsage()

    - #### getLastInvocation

          public Invocation getLastInvocation()

      For testing purposes only. Is not the part of main API.
      Returns:
        last invocation

    - #### ignoreStubs

          public java.lang.Object[] ignoreStubs(java.lang.Object... mocks)

    - #### mockingDetails

          public MockingDetails mockingDetails(java.lang.Object toInspect)